CALIBREDB(1)

NAME
calibredb - calibredb

calibredb command [opzioni] [argomenti]

calibredb is the command line interface to the calibre database. It has several sub-commands, documented below.

calibredb can be used to manipulate either a calibre database specified by path or a calibre Content server running either on the local machine or over the internet. You can start a calibre Content server using either the calibre-server program or in the main calibre program click Connect/share  → Start Content server. Since calibredb can make changes to your calibre libraries, you must setup authentication on the server first. There are two ways to do that:

•   If you plan to connect only to a server running on the same computer, you can simply use the --enable-local-write option of the content server, to allow any program, including calibredb, running on the local computer to make changes to your calibre data. When running the server from the main calibre program, this option is in Preferences → Sharing over the net → Advanced.

•   If you want to enable access over the internet, then you should setup user accounts on the server and use the --username and --password options to calibredb to give it access. You can setup user authentication for calibre-server by using the --enable-auth option and using --manage-users to create the user accounts. If you are running the server from the main calibre program, use Preferences → Sharing over the net → Require username/password.

    To connect to a running Content server, pass the URL of the server to the --with-library option, see the documentation of that option for details and examples.

•   OPZIONI GLOBALI

•   list

•   add

•   AGGIUNTA DA CARTELLE

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   EPUB OPZIONI

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

OPZIONI GLOBALI

--help, -h
    mostra questo messaggio di aiuto ed esci

--library-path, --with-library
    Path to the calibre library. Default is to use the path stored in the settings. You can also connect to a calibre Content server to perform actions on remote libraries. To do so use a URL of the form: http://hostname:port/#library_id for example, http://localhost:8080/#mylibrary. library_id is the library id of the library you want to connect to on the Content server. You can use the special library_id value of - to get a list of library ids available on the server. For details on how to setup access via a Content server, see https://manual.calibre-ebook.com/generated/en/calibredb.html.

--password
    Password for connecting to a calibre Content server. To read the password from standard input, use the special value: <stdin>. To read the password from a file, use: <f:/path/to/file> (i.e. <f: followed by the full path to the file and a trailing >). The angle brackets in the above are required, remember to escape them or use quotes for your shell.

--username
    Nome utente per connettersi a un server di contenuto calibre

--version
    mostra la versione del programma ed esci

LIST

calibredb list [opzioni]

Elenca i libri disponibili nel database di calibre.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--ascending
    Ordina i risultati in ordine crescente

--fields, -f
    The fields to display when listing books in the database. Should be a comma separated list of fields. Available fields: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, timestamp, title, uuid Default: title,authors. The special field "all" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating

--for-machine
    Genera output in formato JSON, più adatto all'elaborazione automatica. Le opzioni di larghezza e separazione di linea verranno ignorate.

--limit
    Il numero massimo di risultati da visualizzare. Predefinito: tutti

--line-width, -w
    La larghezza massima di una singola riga nell'output. L'impostazione predefinita è quella di rilevare la dimensione dello schermo.

--prefix
    Il prefisso per tutti i percorsi. L'impostazione predefinita è il percorso alla cartella della biblioteca.

--search, -s
    Filtra i risultati con una ricerca. Per il formato della ricerca, vedere la documentazione relativa alla ricerca nel Manuale Utente. L'opzione predefinita è quella di non filtrare.

--separator
    La stringa usata per separare i campi. Predefinita: uno spazio.

--sort-by
    Il campo con cui ordinare i risultati. Campi disponibili: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, timestamp, title, uuid Predefinito: id

ADD

calibredb add [opzioni] file1 file2 file3 ...

Aggiunge i file specificati come libri nel database. È anche possibile specificare cartelle, vedere la cartella sottostante relativa alle opzioni.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--authors, -a
    Imposta gli autori dei libri aggiunti

--cover, -c
    Percorso della copertina da utilizzare per il libro aggiunto

--duplicates, -d
    Aggiunge libri al database anche se esistono già. Il confronto è basato sui titoli.

--empty, -e
    Aggiungi un libro vuoto (un libro senza formati)

--identifier, -I
    Imposta gli identificatori per il libro. Ad esempio: -l asin:XXX -l isbn:XXX

--isbn, -i
    Imposta l'ISBN dei libri aggiunti

--languages, -l
    Un elenco separato da virgole di lingue (meglio utilizzare i codici di lingua ISO639 per evitare che alcuni nomi di lingue non siano riconosciuti)

--series, -s
    Imposta le serie dei libri aggiunti

--series-index, -S
    Imposta il numero della serie dei libri aggiunti

--tags, -T
    Imposta i tag dei libri aggiunti

--title, -t
    Imposta il titolo dei libri aggiunti

  AGGIUNTA DA CARTELLE

Opzioni per controllare l'aggiunta dei libri dalle cartelle. Per impostazione predefinita vengono aggiunti solo file che hanno estensioni conosciute.

--add
    Con un modello di nome file (glob), i file che rispettano questo modello vengono aggiunti durante la scansione delle cartelle, anche se non sono conosciuti come file ebook. Può essere specificato più volte per modelli multipli.

--ignore
    Con un modello di nome file (glob), i file che rispettano questo modello vengono ignorati durante la scansione delle cartelle. Può essere specificato più volte per modelli multipli. Ad es. *.pdf ignora tutti i file pdf.

--one-book-per-directory, -1
    Assume che ogni cartella abbia un solo libro logico e che tutti i file presenti siano diversi formati per quel libro

--recurse, -r
    Elabora cartelle ricorsivamente

REMOVE

calibredb remove ids

Remove the books identified by ids from the database. ids should be a comma separated list of id numbers (you can get id numbers by using the search command). For example, 23,34,57-85 (when specifying a range, the last number in the range is not included).

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--permanent
    Non usare il cestino

ADD_FORMAT

calibredb add_format [options] id ebook_file

Aggiungi l' e-book in ebook_file ai formati disponibili per il libro identificato per id. Puoi trovare l'id usando il comando cerca, se il formato è già presente verrà sostituito a meno che l'opzione 'non sostituire' non sia stata specificata.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--dont-replace
    Non sostituire il formato se esiste già

REMOVE_FORMAT

calibredb remove_format [options] id fmt

Remove the format fmt from the logical book identified by id. You can get id by using the search command. fmt should be a file extension like LRF or TXT or EPUB. If the logical book does not have fmt available, do nothing.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

SHOW_METADATA

calibredb show_metadata [opzioni] id

Mostra i metadati salvati nel database di calibre per il libro identificato con id. id è un numero dal comando di ricerca.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--as-opf
    Stampa i metadati in formato OPF (XML)

SET_METADATA

calibredb set_metadata [options] id [/path/to/metadata.opf]

Set the metadata stored in the calibre database for the book identified by id from the OPF file metadata.opf. id is an id number from the search command. You can get a quick feel for the OPF format by using the --as-opf switch to the show_metadata command. You can also set the metadata of individual fields with the --field option. If you use the --field option, there is no need to specify an OPF file.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--field, -f
    The field to set. Format is field_name:value, for example: --field tags:tag1,tag2. Use --list-fields to get a list of all field names. You can specify this option multiple times to set multiple fields. Note: For languages you must use the ISO639 language codes (e.g. en for English, fr for French and so on). For identifiers, the syntax is --field identifiers:isbn:XXXX,doi:YYYYY. For boolean (yes/no) fields use true and false or yes and no.

--list-fields, -l
    Elenca i nomi dei campi di metadati che possono essere utilizzati con l'opzione --field

EXPORT

calibredb export [options] ids

Export the books specified by ids (a comma separated list) to the filesystem. The export operation saves all formats of the book, its cover and metadata (in an opf file). You can get id numbers from the search command.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--all
    Esporta tutti i libri del database, ignorando la lista di id.

--dont-asciiize
    Normalmente calibre convertirà tutti i caratteri non anglofoni nei loro corrispettivi equivalenti per i nomi dei documenti. ATTENZIONE: se la funzione è disabilitata, è possibile incontrare errori nel salvataggio che dipendono dal livello di supporto unicode del filesystem utilizzato. Selezionando questa opzione verrà disattivata questa funzione.

--dont-save-cover
    Normally, calibre will save the cover in a separate file along with the actual e-book files. Selezionando questa opzione verrà disattivata questa funzione.

--dont-update-metadata
    Normalmente calibre aggiorna i metadati nei file salvati usando quelli che si trovano nella biblioteca di calibre. Questo rende il salvataggio più lento. Selezionando questa opzione verrà disattivata questa funzione.

--dont-write-opf
    Normalmente calibre scrive i metadati in documenti OPF separati assieme ai file contenenti i libri. Selezionando questa opzione verrà disattivata questa funzione.

--formats
    Elenco di formati separati da virgole da salvare per ogni libro. In modo predefinito, saranno salvati tutti i formati disponibili.

--progress
    Avanzamento report

--replace-whitespace
    Sostituisci gli spazi con trattini bassi.

--single-dir
    Esporta tutti i libri nella stessa cartella

--template
    The template to control the filename and directory structure of the saved files. Default is "{author_sort}/{title}/{title} - {authors}" which will save books into a per-author subdirectory with filenames containing title and author. Available controls are: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    Il formato di visualizzazione delle date. %d - giorno, %b - mese, %m - numero mese, %Y - anno. Predefinito: %b, %Y

--to-dir
    Esporta i libri nella cartella specificata. Predefinita: .

--to-lowercase
    Converti i percorsi in lettere minuscole.

CATALOG

calibredb catalogo /percorso/di/destinazione.(csv|epub|mobi|xml...) [opzioni]

Esporta un catalogo nel formato specificato dall'estensione di percorso/di/destinazione Le opzioni controllano il modo in cui le voci sono visualizzate nel catalogo generato. Notare che i differenti formati di catalogo supportano impostazioni differenti delle opzioni.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--ids, -i
    Lista degli identificativi ID per il catalogo in campi separati da virgole. Se dichiarati, --search è ignorata. Valore predefinito: tutti

--search, -s
    Filtra i risultati in base alla query di ricerca. Per il formato della query di ricerca fare riferimento alla documentazione sulla sintassi di ricerca nel Manuale utente. Predefinito: nessun filtraggio

--verbose, -v
    Mostra un output dettagliato. Utile per il debug

  EPUB OPZIONI

--catalog-title
    Title of generated catalog used as title in metadata. Default: 'My Books' Applies to: AZW3, EPUB, MOBI output formats

--cross-reference-authors
    Create cross-references in Authors section for books with multiple authors. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--debug-pipeline
    Save the output from different stages of the conversion pipeline to the specified directory. Useful if you are unsure at which stage of the conversion process a bug is occurring. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--exclude-genre
    Regex describing tags to exclude as genres. Default: '[.+]|^+$' excludes bracketed tags, e.g. '[Project Gutenberg]', and '+', the default tag for read books. Applies to: AZW3, EPUB, MOBI output formats

--exclusion-rules
    Specifies the rules used to exclude books from the generated catalog. The model for an exclusion rule is either ('<rule name>','Tags','<comma-separated list of tags>') or ('<rule name>','<custom column>','<pattern>'). For example: (('Archived books','#status','Archived'),) will exclude a book with a value of 'Archived' in the custom column 'status'. When multiple rules are defined, all rules will be applied. Default: "(('Catalogs','Tags','Catalog'),)" Applies to: AZW3, EPUB, MOBI output formats

--generate-authors
    Include 'Authors' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-descriptions
    Include 'Descriptions' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-genres
    Include 'Genres' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-recently-added
    Include 'Recently Added' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-series
    Include 'Series' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-titles
    Include 'Titles' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--genre-source-field
    Source field for 'Genres' section. Default: 'Tag' Applies to: AZW3, EPUB, MOBI output formats

--header-note-source-field
    Custom field containing note text to insert in Description header. Default: '' Applies to: AZW3, EPUB, MOBI output formats

--merge-comments-rule
    #<custom field>:[before|after]:[True|False] specifying: <custom field> Custom field containing notes to merge with Comments [before|after] Placement of notes with respect to Comments [True|False] - A horizontal rule is inserted between notes and Comments Default: '::' Applies to: AZW3, EPUB, MOBI output formats

--output-profile
    Specifies the output profile. In some cases, an output profile is required to optimize the catalog for the device. For example, 'kindle' or 'kindle_dx' creates a structured Table of Contents with Sections and Articles. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--prefix-rules
    Specifies the rules used to include prefixes indicating read books, wishlist items and other user-specified prefixes. The model for a prefix rule is ('<rule name>','<source field>','<pattern>','<prefix>'). When multiple rules are defined, the first matching rule will be used. Default: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" Applies to: AZW3, EPUB, MOBI output formats

--preset
    Use a named preset created with the GUI catalog builder. A preset specifies all settings for building a catalog. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--thumb-width
    Size hint (in inches) for book covers in catalog. Range: 1.0 - 2.0 Default: '1.0' Applies to: AZW3, EPUB, MOBI output formats

--use-existing-cover
    Replace existing cover when generating the catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

SAVED_SEARCHES

calibredb saved_searches [options] (list|add|remove)

Manage the saved searches stored in this database. If you try to add a query with a name that already exists, it will be replaced.

Syntax for adding:

calibredb saved_searches add search_name search_expression

Syntax for removing:

calibredb saved_searches remove search_name

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

ADD_CUSTOM_COLUMN

calibredb add_custom_column [opzioni] etichetta nome tipo

Crea una colonna personalizzata. etichetta è il nome amichevole della macchina della colonna. Non deve contenere spazi o punteggiatura. nome è il nome amichevole della colonna. tipo è uno di: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--display
    Un dizionario di opzioni per personalizzare l'interpretazione dei dati di questa colonna. Questa è una stringa JSON. Per le colonne di enumerazione, usare --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}". Ci sono molte opzioni che possono entrare nella variabile di visualizzazione. Le opzioni per tipo di colonna sono: composite: composite_template, composite_sort, make_category,contains_html, use_decorations data e ora: formato_data enumerazione: enum_valori, enum_colori, uso_decorazioni int, float: numero_formato testo: is_nomi, uso_decorazioni Il modo migliore per trovare combinazioni ammesse è quello di creare una colonna personalizzata del tipo appropriato nella GUI e poi guardare l'OPF di backup per un libro (assicurarsi che sia stato creato un nuovo OPF da quando la colonna è stata aggiunta). Vedrete il JSON per il "display" per la nuova colonna nell'OPF.

--is-multiple
    Questa colonna salva i tag come dati (es. valori separati da virgole). Applicato solo se il tipo di dato è testo.

CUSTOM_COLUMNS

calibredb custom_columns [options]

Elenca le colonne personalizzate disponibili. Mostra le etichette delle colonne e gli ID.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--details, -d
    Mostra i dettagli per ogni colonna

REMOVE_CUSTOM_COLUMN

calibredb remove_custom_column [options] label

Remove the custom column identified by label. You can see available columns with the custom_columns command.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--force, -f
    Non chiedere conferma

SET_CUSTOM

calibredb set_custom [options] column id value

Set the value of a custom column for the book identified by id. You can get a list of ids using the search command. You can get a list of custom column names using the custom_columns command.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--append, -a
    Se la colonna salva più valori, aggiunge i valori specificati a quelli esistenti, altrimenti li sostituisce.

RESTORE_DATABASE

calibredb restore_database [options]

Restore this database from the metadata stored in OPF files in each directory of the calibre library. This is useful if your metadata.db file has been corrupted.

WARNING: This command completely regenerates your database. You will lose all saved searches, user categories, plugboards, stored per-book conversion settings, and custom recipes. Restored metadata will only be as accurate as what is found in the OPF files.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--really-do-it, -r
    Effettua realmente il ripristino. Il comando non sarà eseguito a meno che questa opzione non sia specificata.

CHECK_LIBRARY

calibredb check_library [opzioni]

Esegue alcuni controlli sul filesystem che rappresenta la biblioteca. I resoconti sono invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--csv, -c
    Output in CSV

--ignore_extensions, -e
    Elenco separato da virgole delle estensioni che devono essere ignorate. Predefinito: tutte

--ignore_names, -n
    Elenco separato da virgole dei nomi da ignorare. Predefinito: tutti

--report, -r
    Elenco separato da virgole dei resoconti. Predefinito: tutti

LIST_CATEGORIES

calibredb list_categories [opzioni]

Produce un resoconto delle informazioni di categoria nel database. Le informazioni sono uguali a quelle mostrate nel pannello dei tag.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--categories, -r
    Elenco separato da virgole di nomi di ricerca per categorie. Predefinito: tutti

--csv, -c
    Output in CSV

--dialect
    Tipo di file CSV da produrre. Alternative: excel, excel-tab

--item_count, -i
    Visualizza solo il numero di oggetti nella categoria invece del totale per oggetto all'interno della categoria

--width, -w
    La larghezza massima di una singola riga nell'output. L'impostazione predefinita è quella di rilevare la dimensione dello schermo.

BACKUP_METADATA

calibredb backup_metadata [options]

Effettua il backup dei metadati presenti nel database in un file OPF dedicato nella directory di ogni libro. Normalmente avviene in maniera automatica ma puoi eseguire questo commando per forzare una nuova creazione dei files OPF, con l'opzione --all.

Nota che normalmente non è necessario farlo dato che il backup dei files OPF viene effettuato automaticamente ogni volta che i metadati cambiano.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--all
    Di solito, questo comando opera solo su libri che hanno file OPF datati. Questa opzione lo applica a tutti i libri.

CLONE

Crea un clone della libreria attuale.

Questo crea una nuova libreria vuota che ha tutte le stesse colonne personalizzate, librerie virtuali e altre impostazioni della libreria corrente. La libreria clonata non conterrà libri. Se si desidera creare un duplicato completo, inclusi tutti i libri, è sufficiente utilizzare gli strumenti del filesystem per copiare la cartella della libreria.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

EMBED_METADATA

calibredb embed_metadata [options] book_id

Update the metadata in the actual book files stored in the calibre library from the metadata in the calibre database. Normally, metadata is updated only when exporting files from calibre, this command is useful if you want the files to be updated in place. Note that different file formats support different amounts of metadata. You can use the special value 'all' for book_id to update metadata in all books. You can also specify many book ids separated by spaces and id ranges separated by hyphens. For example: calibredb embed_metadata 1 2 10-15 23

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--only-formats, -f
    Aggiorna i metadata nei file del formato selezionato. Specificarlo diverse volte per formati multipli. Di default vengono aggiornati tutti i formati.

SEARCH

calibredb search [options] search expression

Search the library for the specified search term, returning a comma separated list of book ids matching the search expression. The output format is useful to feed into other commands that accept a list of ids as input.

The search expression can be anything from calibre's powerful search query language, for example: author:asimov title:robot

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--limit, -l
    Il numero massimo di risultati da fornire. Tutti i risultati sono il default.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal